KBUILDSYCOCA4(8)

NAME
kbuildsycoca4 - Rebuilds the system configuration cache.

SYNOPSIS

kbuildsycoca4 [--nosignal | --incremental | --help | --help-qt | --help-kde | --help-all | --author | -v, --version | --license]

DESCRIPTION

 kbuildsycoca4, as part of the KDE command line tools ensures the proper operation of KDE by reading in all the .desktop, .directory, .kimgio and .protocol files to constructs a binary database.

 KDE itself accesses this database during operation to provide configuration information a program needs to run.

This tool is part of ksycoca, which stands for KDE System Configuration Cache

OPTIONS

--nosignal
    Don't signal applications

--incremental
    Incremental Update

--help
    Show help about options

--help-qt
    Show Qt specific options

--help-kde
    Show KDE specific options

--help-all
    Show all options

--author
    Show author information

--version
    Show version information

--license
    Show license information

USAGE

A standard way to run this program is by simply specifying the following command at the prompt kbuildsycoca4

FILES

/tmp/kde-$USER/ksycoca
    ...

ENVIRONMENT VARIABLES

$KDEDIRS
    Specifies which directories are part of the KDE installations

SEE ALSO

kdeinit4

BUGS

There are probably tons of bugs. Use bugs.kde.org: http://bugs.kde.org to report them.

AUTHOR
Darian Lanx <content@openprojects.net>.